%global base_name woodstox
%global core_name %{base_name}-core
Name:                %{core_name}
Version:             5.0.3
Release:             1
Summary:             High-performance XML processor
License:             ASL 2.0 or LGPLv2+ or BSD
URL:                 https://github.com/FasterXML/woodstox
BuildArch:           noarch
Source0:             https://github.com/FasterXML/%{base_name}/archive/%{name}-%{version}.tar.gz
Patch0:              0001-stax2-api.patch
BuildRequires:       maven-local mvn(com.fasterxml:oss-parent:pom:) mvn(javax.xml.stream:stax-api)
BuildRequires:       mvn(junit:junit) mvn(net.java.dev.msv:msv-core)
BuildRequires:       mvn(net.java.dev.msv:msv-rngconverter) mvn(net.java.dev.msv:xsdlib)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.felix:org.osgi.core)
BuildRequires:       mvn(org.codehaus.woodstox:stax2-api)
%description
Woodstox is a high-performance validating namespace-aware StAX-compliant
(JSR-173) Open Source XML-processor written in Java.
XML processor means that it handles both input (== parsing)
and output (== writing, serialization)), as well as supporting tasks
such as validation.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{base_name}-%{name}-%{version}
%patch0 -p1
%pom_xpath_inject 'pom:plugin[pom:artifactId="maven-bundle-plugin"]/pom:configuration' '
<instructions>
    <Export-Package>{local-packages}</Export-Package>
</instructions>'
%mvn_alias ":{woodstox-core}" :@1-lgpl :@1-asl :wstx-asl :wstx-lgpl \
    org.codehaus.woodstox:@1 org.codehaus.woodstox:@1-asl \
    org.codehaus.woodstox:@1-lgpl org.codehaus.woodstox:wstx-lgpl \
    org.codehaus.woodstox:wstx-asl
%mvn_file : %{name}{,-asl,-lgpl}
rm ./src/test/java/org/codehaus/stax/test/stream/TestNamespaces.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc

%changelog
* Thu Jul 23 2020 Jeffery.Gao <gaojianxing@huawei.com> - 5.0.3-1
- Package init
